package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author DongZl
 * @description: 书籍信息
 * @Date 2023-10-7 上午 09:29
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("book_info")
public class BookInfo {
    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 名称
     */
    private String name;
    /**
     * 价格
     */
    private BigDecimal price;
    /**
     * 创建人
     */
    private String create_by;
    /**
     * 创建时间
     */
    private Date create_time;
}
